# $Revision: 1.9 $, $Date: 2009/11/12 08:34:36 $
Summary:	pthread library helper
Summary(pl.UTF-8):	Pakiet pomocniczy biblioteki pthread
Name:		libpthread-stubs
Version:	0.3
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
# Source0-md5:	e8fa31b42e13f87e8f5a7a2b731db7ee
URL:		http://xcb.freedesktop.org/
Obsoletes:	libpthread-stubs-devel < 0.3
Obsoletes:	libpthread-stubs-static < 0.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library provides weak aliases for pthread functions not provided
in libc or otherwise available by default. Libraries like libxcb rely
on pthread stubs to use pthreads optionally, becoming thread-safe when
linked to libpthread, while avoiding any performance hit when running
single-threaded. libpthread-stubs supports this behavior even on
platforms which do not supply all the necessary pthread stubs. On
platforms which already supply all the necessary pthread stubs, this
package ships only the pkg-config file pthread-stubs.pc, to allow
libraries to unconditionally express a dependency on pthread-stubs and
still obtain correct behavior.

%description -l pl.UTF-8
Ta biblioteka udostępnia słabe aliasy dla funkcji pthread nie
dostarczane domyślnie przez libc lub w inny sposób. Biblioteki takie
jak libxcb polegają na zaślepkach pthread, aby opcjonalnie używać
wątków pthread i zachowywać się bezpiecznie w przypadku zlinkowania z
libpthread, a unikać narzutu czasowego przy działaniu jednowątkowym.
libpthread-stubs obsługuje to zachowanie nawet na platformach nie
udostępniających wszystkich potrzebnych zaślepek pthread. Na
platformach udostępniających wszystkie potrzebne zaślepki pthread ten
pakiet dostarcza jedynie plik pkg-configa pthread-stubs.pc pozwalający
bibliotekom bezwarunkowo zawierać zależność od pthread-stubs i nadal
zachowywać się prawidłowo.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README
%{_pkgconfigdir}/pthread-stubs.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libpthread-stubs.spec,v $
Revision 1.9  2009/11/12 08:34:36  patrys
- 0.3
- not a library any more

Revision 1.8  2009/09/29 16:41:23  qboosh
- added COPYING to doc
- fixed -devel descs
- more verbose files

Revision 1.7  2009/09/23 11:37:24  arekm
- desc fix

Revision 1.6  2009/09/23 11:30:03  arekm
- up to 0.2; now it's real lib not just pc file (note, direct linking to -lpthread isn't solution, see README)

Revision 1.5  2008/07/27 23:03:45  arekm
- release 2

Revision 1.4  2007-02-13 06:46:51  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.2  2006/11/24 11:21:00  qboosh
- pl
- Group changed to Development/Libraries as there is no runtime on Linux

Revision 1.1  2006/11/24 10:55:38  arekm
- new
